//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     ANTLR Version: 4.6.6
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

// Generated from SeQueryLexer.g4 by ANTLR 4.6.6

// Unreachable code detected
#pragma warning disable 0162
// The variable '...' is assigned but its value is never used
#pragma warning disable 0219
// Missing XML comment for publicly visible type or member '...'
#pragma warning disable 1591
// Ambiguous reference in cref attribute
#pragma warning disable 419

using Antlr4.Runtime;
using Antlr4.Runtime.Atn;
using Antlr4.Runtime.Misc;
using DFA = Antlr4.Runtime.Dfa.DFA;

[System.CodeDom.Compiler.GeneratedCode("ANTLR", "4.6.6")]
[System.CLSCompliant(false)]
public partial class SeQueryLexer : Lexer {
	public const int
		AT=1, KEY_WHERE=2, EOL_COMMENT=3, COMMENT=4, WhiteSpace=5, ATSIGN=6, PLUS=7, 
		MINUS=8, TIMES=9, SLASH=10, PERCENT=11, DOT=12, COMMA=13, EQUAL=14, LT=15, 
		GT=16, LTEQ=17, GTEQ=18, NEQ=19, BANGEQ=20, LPAREN=21, RPAREN=22, K_ALL=23, 
		K_AND=24, K_ANY=25, K_AS=26, K_ASC=27, K_BETWEEN=28, K_BY=29, K_CASE=30, 
		K_COLLATE=31, K_COUNT=32, K_DESC=33, K_DISTINCT=34, K_ELSE=35, K_END=36, 
		K_ESCAPE=37, K_EXCEPT=38, K_EXISTS=39, K_FROM=40, K_IN=41, K_INTERSECT=42, 
		K_INNER=43, K_IS=44, K_JOIN=45, K_LEFT=46, K_LIKE=47, K_MINUS=48, K_NOT=49, 
		K_NULL=50, K_ON=51, K_OR=52, K_ORDER=53, K_OUTER=54, K_RIGHT=55, K_SELECT=56, 
		K_SOME=57, K_THEN=58, K_TOP=59, K_UNION=60, K_WHEN=61, K_WHERE=62, STRING=63, 
		DQSTRING=64, FLOAT=65, INT=66, ID=67, SINGLE_LINE_COMMENT=68, MULTI_LINE_COMMENT=69, 
		BARESTRING=70, WS=71, FREEOPEN=72, FREECLOSE=73;
	public const int INSIDE = 1;
	public static string[] modeNames = {
		"DEFAULT_MODE", "INSIDE"
	};

	public static readonly string[] ruleNames = {
		"AT", "KEY_WHERE", "KEY_AND", "KEY_OR", "KEY_NOT", "FREEOPEN", "FREECLOSE", 
		"String", "DqString", "EOL_COMMENT", "COMMENT", "RAWSTRING", "WhiteSpace", 
		"ATSIGN", "PLUS", "MINUS", "TIMES", "SLASH", "PERCENT", "DOT", "COMMA", 
		"EQUAL", "LT", "GT", "LTEQ", "GTEQ", "NEQ", "BANGEQ", "LPAREN", "RPAREN", 
		"K_ALL", "K_AND", "K_ANY", "K_AS", "K_ASC", "K_BETWEEN", "K_BY", "K_CASE", 
		"K_COLLATE", "K_COUNT", "K_DESC", "K_DISTINCT", "K_ELSE", "K_END", "K_ESCAPE", 
		"K_EXCEPT", "K_EXISTS", "K_FROM", "K_IN", "K_INTERSECT", "K_INNER", "K_IS", 
		"K_JOIN", "K_LEFT", "K_LIKE", "K_MINUS", "K_NOT", "K_NULL", "K_ON", "K_OR", 
		"K_ORDER", "K_OUTER", "K_RIGHT", "K_SELECT", "K_SOME", "K_THEN", "K_TOP", 
		"K_UNION", "K_WHEN", "K_WHERE", "STRING", "DQSTRING", "FLOAT", "INT", 
		"ID", "SINGLE_LINE_COMMENT", "MULTI_LINE_COMMENT", "BARESTRING", "WS"
	};


	public SeQueryLexer(ICharStream input)
		: base(input)
	{
		_interp = new LexerATNSimulator(this,_ATN);
	}

	private static readonly string[] _LiteralNames = {
		null, null, null, null, null, null, null, "'+'", "'-'", "'*'", "'/'", 
		"'%'", "'.'", "','", "'='", "'<'", "'>'", "'<='", "'>='", "'<>'", "'!='"
	};
	private static readonly string[] _SymbolicNames = {
		null, "AT", "KEY_WHERE", "EOL_COMMENT", "COMMENT", "WhiteSpace", "ATSIGN", 
		"PLUS", "MINUS", "TIMES", "SLASH", "PERCENT", "DOT", "COMMA", "EQUAL", 
		"LT", "GT", "LTEQ", "GTEQ", "NEQ", "BANGEQ", "LPAREN", "RPAREN", "K_ALL", 
		"K_AND", "K_ANY", "K_AS", "K_ASC", "K_BETWEEN", "K_BY", "K_CASE", "K_COLLATE", 
		"K_COUNT", "K_DESC", "K_DISTINCT", "K_ELSE", "K_END", "K_ESCAPE", "K_EXCEPT", 
		"K_EXISTS", "K_FROM", "K_IN", "K_INTERSECT", "K_INNER", "K_IS", "K_JOIN", 
		"K_LEFT", "K_LIKE", "K_MINUS", "K_NOT", "K_NULL", "K_ON", "K_OR", "K_ORDER", 
		"K_OUTER", "K_RIGHT", "K_SELECT", "K_SOME", "K_THEN", "K_TOP", "K_UNION", 
		"K_WHEN", "K_WHERE", "STRING", "DQSTRING", "FLOAT", "INT", "ID", "SINGLE_LINE_COMMENT", 
		"MULTI_LINE_COMMENT", "BARESTRING", "WS", "FREEOPEN", "FREECLOSE"
	};
	public static readonly IVocabulary DefaultVocabulary = new Vocabulary(_LiteralNames, _SymbolicNames);

	[System.Obsolete("Use Vocabulary instead.")]
	public static readonly string[] tokenNames = GenerateTokenNames(DefaultVocabulary, _SymbolicNames.Length);

	private static string[] GenerateTokenNames(IVocabulary vocabulary, int length) {
		string[] tokenNames = new string[length];
		for (int i = 0; i < tokenNames.Length; i++) {
			tokenNames[i] = vocabulary.GetLiteralName(i);
			if (tokenNames[i] == null) {
				tokenNames[i] = vocabulary.GetSymbolicName(i);
			}

			if (tokenNames[i] == null) {
				tokenNames[i] = "<INVALID>";
			}
		}

		return tokenNames;
	}

	[System.Obsolete("Use IRecognizer.Vocabulary instead.")]
	public override string[] TokenNames
	{
		get
		{
			return tokenNames;
		}
	}

	[NotNull]
	public override IVocabulary Vocabulary
	{
		get
		{
			return DefaultVocabulary;
		}
	}

	public override string GrammarFileName { get { return "SeQueryLexer.g4"; } }

	public override string[] RuleNames { get { return ruleNames; } }

	public override string[] ModeNames { get { return modeNames; } }

	public override string SerializedAtn { get { return _serializedATN; } }

	public static readonly string _serializedATN =
		"\x3\xAF6F\x8320\x479D\xB75C\x4880\x1605\x191C\xAB37\x2K\x25D\b\x1\b\x1"+
		"\x4\x2\t\x2\x4\x3\t\x3\x4\x4\t\x4\x4\x5\t\x5\x4\x6\t\x6\x4\a\t\a\x4\b"+
		"\t\b\x4\t\t\t\x4\n\t\n\x4\v\t\v\x4\f\t\f\x4\r\t\r\x4\xE\t\xE\x4\xF\t\xF"+
		"\x4\x10\t\x10\x4\x11\t\x11\x4\x12\t\x12\x4\x13\t\x13\x4\x14\t\x14\x4\x15"+
		"\t\x15\x4\x16\t\x16\x4\x17\t\x17\x4\x18\t\x18\x4\x19\t\x19\x4\x1A\t\x1A"+
		"\x4\x1B\t\x1B\x4\x1C\t\x1C\x4\x1D\t\x1D\x4\x1E\t\x1E\x4\x1F\t\x1F\x4 "+
		"\t \x4!\t!\x4\"\t\"\x4#\t#\x4$\t$\x4%\t%\x4&\t&\x4\'\t\'\x4(\t(\x4)\t"+
		")\x4*\t*\x4+\t+\x4,\t,\x4-\t-\x4.\t.\x4/\t/\x4\x30\t\x30\x4\x31\t\x31"+
		"\x4\x32\t\x32\x4\x33\t\x33\x4\x34\t\x34\x4\x35\t\x35\x4\x36\t\x36\x4\x37"+
		"\t\x37\x4\x38\t\x38\x4\x39\t\x39\x4:\t:\x4;\t;\x4<\t<\x4=\t=\x4>\t>\x4"+
		"?\t?\x4@\t@\x4\x41\t\x41\x4\x42\t\x42\x4\x43\t\x43\x4\x44\t\x44\x4\x45"+
		"\t\x45\x4\x46\t\x46\x4G\tG\x4H\tH\x4I\tI\x4J\tJ\x4K\tK\x4L\tL\x4M\tM\x4"+
		"N\tN\x4O\tO\x4P\tP\x3\x2\x3\x2\x3\x2\x3\x2\x3\x3\x3\x3\x3\x3\x3\x3\x3"+
		"\x3\x3\x3\x3\x3\x3\x3\x3\x4\x3\x4\x3\x4\x3\x4\x3\x4\x3\x4\x3\x5\x3\x5"+
		"\x3\x5\x3\x5\x3\x5\x3\x6\x3\x6\x3\x6\x3\x6\x3\x6\x3\x6\x3\a\x3\a\x3\a"+
		"\x3\a\x3\b\x3\b\x3\b\x3\b\x3\t\x3\t\x3\t\x3\t\a\t\xCC\n\t\f\t\xE\t\xCF"+
		"\v\t\x3\t\x3\t\x3\t\x3\t\x3\n\x3\n\x3\n\x3\n\a\n\xD9\n\n\f\n\xE\n\xDC"+
		"\v\n\x3\n\x3\n\x3\n\x3\n\x3\v\x3\v\x3\v\x3\v\a\v\xE6\n\v\f\v\xE\v\xE9"+
		"\v\v\x3\v\x3\v\x3\f\x3\f\x3\f\x3\f\x3\f\a\f\xF2\n\f\f\f\xE\f\xF5\v\f\x3"+
		"\f\x3\f\x3\f\x5\f\xFA\n\f\x3\f\x3\f\x3\r\x3\r\a\r\x100\n\r\f\r\xE\r\x103"+
		"\v\r\x3\r\x3\r\x3\xE\x6\xE\x108\n\xE\r\xE\xE\xE\x109\x3\xE\x3\xE\x3\xF"+
		"\x3\xF\x3\x10\x3\x10\x3\x11\x3\x11\x3\x12\x3\x12\x3\x13\x3\x13\x3\x14"+
		"\x3\x14\x3\x15\x3\x15\x3\x16\x3\x16\x3\x17\x3\x17\x3\x18\x3\x18\x3\x19"+
		"\x3\x19\x3\x1A\x3\x1A\x3\x1A\x3\x1B\x3\x1B\x3\x1B\x3\x1C\x3\x1C\x3\x1C"+
		"\x3\x1D\x3\x1D\x3\x1D\x3\x1E\x3\x1E\x3\x1F\x3\x1F\x3 \x3 \x3 \x3 \x3!"+
		"\x3!\x3!\x3!\x3\"\x3\"\x3\"\x3\"\x3#\x3#\x3#\x3$\x3$\x3$\x3$\x3%\x3%\x3"+
		"%\x3%\x3%\x3%\x3%\x3%\x3&\x3&\x3&\x3\'\x3\'\x3\'\x3\'\x3\'\x3(\x3(\x3"+
		"(\x3(\x3(\x3(\x3(\x3(\x3)\x3)\x3)\x3)\x3)\x3)\x3*\x3*\x3*\x3*\x3*\x3+"+
		"\x3+\x3+\x3+\x3+\x3+\x3+\x3+\x3+\x3,\x3,\x3,\x3,\x3,\x3-\x3-\x3-\x3-\x3"+
		".\x3.\x3.\x3.\x3.\x3.\x3.\x3/\x3/\x3/\x3/\x3/\x3/\x3/\x3\x30\x3\x30\x3"+
		"\x30\x3\x30\x3\x30\x3\x30\x3\x30\x3\x31\x3\x31\x3\x31\x3\x31\x3\x31\x3"+
		"\x32\x3\x32\x3\x32\x3\x33\x3\x33\x3\x33\x3\x33\x3\x33\x3\x33\x3\x33\x3"+
		"\x33\x3\x33\x3\x33\x3\x34\x3\x34\x3\x34\x3\x34\x3\x34\x3\x34\x3\x35\x3"+
		"\x35\x3\x35\x3\x36\x3\x36\x3\x36\x3\x36\x3\x36\x3\x37\x3\x37\x3\x37\x3"+
		"\x37\x3\x37\x3\x38\x3\x38\x3\x38\x3\x38\x3\x38\x3\x39\x3\x39\x3\x39\x3"+
		"\x39\x3\x39\x3\x39\x3:\x3:\x3:\x3:\x3;\x3;\x3;\x3;\x3;\x3<\x3<\x3<\x3"+
		"=\x3=\x3=\x3>\x3>\x3>\x3>\x3>\x3>\x3?\x3?\x3?\x3?\x3?\x3?\x3@\x3@\x3@"+
		"\x3@\x3@\x3@\x3\x41\x3\x41\x3\x41\x3\x41\x3\x41\x3\x41\x3\x41\x3\x42\x3"+
		"\x42\x3\x42\x3\x42\x3\x42\x3\x43\x3\x43\x3\x43\x3\x43\x3\x43\x3\x44\x3"+
		"\x44\x3\x44\x3\x44\x3\x45\x3\x45\x3\x45\x3\x45\x3\x45\x3\x45\x3\x46\x3"+
		"\x46\x3\x46\x3\x46\x3\x46\x3G\x3G\x3G\x3G\x3G\x3G\x3H\x3H\x3H\x3H\aH\x20C"+
		"\nH\fH\xEH\x20F\vH\x3H\x3H\x3I\x3I\x3I\x3I\aI\x217\nI\fI\xEI\x21A\vI\x3"+
		"I\x3I\x3J\aJ\x21F\nJ\fJ\xEJ\x222\vJ\x3J\x3J\x6J\x226\nJ\rJ\xEJ\x227\x3"+
		"K\x6K\x22B\nK\rK\xEK\x22C\x3L\x3L\aL\x231\nL\fL\xEL\x234\vL\x3M\x3M\x3"+
		"M\x3M\aM\x23A\nM\fM\xEM\x23D\vM\x3M\x3M\x3N\x3N\x3N\x3N\x3N\aN\x246\n"+
		"N\fN\xEN\x249\vN\x3N\x3N\x3N\x5N\x24E\nN\x3N\x3N\x3O\x6O\x253\nO\rO\xE"+
		"O\x254\x3P\x6P\x258\nP\rP\xEP\x259\x3P\x3P\x4\xF3\x247\x2\x2Q\x4\x2\x3"+
		"\x6\x2\x4\b\x2\x2\n\x2\x2\f\x2\x2\xE\x2J\x10\x2K\x12\x2\x2\x14\x2\x2\x16"+
		"\x2\x5\x18\x2\x6\x1A\x2\x2\x1C\x2\a\x1E\x2\b \x2\t\"\x2\n$\x2\v&\x2\f"+
		"(\x2\r*\x2\xE,\x2\xF.\x2\x10\x30\x2\x11\x32\x2\x12\x34\x2\x13\x36\x2\x14"+
		"\x38\x2\x15:\x2\x16<\x2\x17>\x2\x18@\x2\x19\x42\x2\x1A\x44\x2\x1B\x46"+
		"\x2\x1CH\x2\x1DJ\x2\x1EL\x2\x1FN\x2 P\x2!R\x2\"T\x2#V\x2$X\x2%Z\x2&\\"+
		"\x2\'^\x2(`\x2)\x62\x2*\x64\x2+\x66\x2,h\x2-j\x2.l\x2/n\x2\x30p\x2\x31"+
		"r\x2\x32t\x2\x33v\x2\x34x\x2\x35z\x2\x36|\x2\x37~\x2\x38\x80\x2\x39\x82"+
		"\x2:\x84\x2;\x86\x2<\x88\x2=\x8A\x2>\x8C\x2?\x8E\x2@\x90\x2\x41\x92\x2"+
		"\x42\x94\x2\x43\x96\x2\x44\x98\x2\x45\x9A\x2\x46\x9C\x2G\x9E\x2H\xA0\x2"+
		"I\x4\x2\x3#\x4\x2YYyy\x4\x2JJjj\x4\x2GGgg\x4\x2TTtt\x4\x2\x43\x43\x63"+
		"\x63\x4\x2PPpp\x4\x2\x46\x46\x66\x66\x4\x2QQqq\x4\x2VVvv\x3\x2))\x3\x2"+
		"$$\x4\x2\f\f\xF\xF\b\x2\v\f\xF\xF\"\"$$)*\x42\x42\x6\x2\v\f\xF\xF\"\""+
		"++\x5\x2\v\f\xF\xF\"\"\x4\x2NNnn\x4\x2[[{{\x4\x2UUuu\x4\x2\x45\x45\x65"+
		"\x65\x4\x2\x44\x44\x64\x64\x4\x2WWww\x4\x2KKkk\x4\x2RRrr\x4\x2ZZzz\x4"+
		"\x2HHhh\x4\x2OOoo\x4\x2LLll\x4\x2MMmm\x4\x2IIii\x3\x2\x32;\x5\x2\x43\\"+
		"\x61\x61\x63|\x6\x2\x32;\x43\\\x61\x61\x63|\t\x2\v\f\xF\xF\"$\'\')\x31"+
		">@\x42\x42\x273\x2\x4\x3\x2\x2\x2\x2\x6\x3\x2\x2\x2\x2\b\x3\x2\x2\x2\x2"+
		"\n\x3\x2\x2\x2\x2\f\x3\x2\x2\x2\x2\xE\x3\x2\x2\x2\x2\x10\x3\x2\x2\x2\x2"+
		"\x12\x3\x2\x2\x2\x2\x14\x3\x2\x2\x2\x2\x16\x3\x2\x2\x2\x2\x18\x3\x2\x2"+
		"\x2\x2\x1A\x3\x2\x2\x2\x2\x1C\x3\x2\x2\x2\x3\x1E\x3\x2\x2\x2\x3 \x3\x2"+
		"\x2\x2\x3\"\x3\x2\x2\x2\x3$\x3\x2\x2\x2\x3&\x3\x2\x2\x2\x3(\x3\x2\x2\x2"+
		"\x3*\x3\x2\x2\x2\x3,\x3\x2\x2\x2\x3.\x3\x2\x2\x2\x3\x30\x3\x2\x2\x2\x3"+
		"\x32\x3\x2\x2\x2\x3\x34\x3\x2\x2\x2\x3\x36\x3\x2\x2\x2\x3\x38\x3\x2\x2"+
		"\x2\x3:\x3\x2\x2\x2\x3<\x3\x2\x2\x2\x3>\x3\x2\x2\x2\x3@\x3\x2\x2\x2\x3"+
		"\x42\x3\x2\x2\x2\x3\x44\x3\x2\x2\x2\x3\x46\x3\x2\x2\x2\x3H\x3\x2\x2\x2"+
		"\x3J\x3\x2\x2\x2\x3L\x3\x2\x2\x2\x3N\x3\x2\x2\x2\x3P\x3\x2\x2\x2\x3R\x3"+
		"\x2\x2\x2\x3T\x3\x2\x2\x2\x3V\x3\x2\x2\x2\x3X\x3\x2\x2\x2\x3Z\x3\x2\x2"+
		"\x2\x3\\\x3\x2\x2\x2\x3^\x3\x2\x2\x2\x3`\x3\x2\x2\x2\x3\x62\x3\x2\x2\x2"+
		"\x3\x64\x3\x2\x2\x2\x3\x66\x3\x2\x2\x2\x3h\x3\x2\x2\x2\x3j\x3\x2\x2\x2"+
		"\x3l\x3\x2\x2\x2\x3n\x3\x2\x2\x2\x3p\x3\x2\x2\x2\x3r\x3\x2\x2\x2\x3t\x3"+
		"\x2\x2\x2\x3v\x3\x2\x2\x2\x3x\x3\x2\x2\x2\x3z\x3\x2\x2\x2\x3|\x3\x2\x2"+
		"\x2\x3~\x3\x2\x2\x2\x3\x80\x3\x2\x2\x2\x3\x82\x3\x2\x2\x2\x3\x84\x3\x2"+
		"\x2\x2\x3\x86\x3\x2\x2\x2\x3\x88\x3\x2\x2\x2\x3\x8A\x3\x2\x2\x2\x3\x8C"+
		"\x3\x2\x2\x2\x3\x8E\x3\x2\x2\x2\x3\x90\x3\x2\x2\x2\x3\x92\x3\x2\x2\x2"+
		"\x3\x94\x3\x2\x2\x2\x3\x96\x3\x2\x2\x2\x3\x98\x3\x2\x2\x2\x3\x9A\x3\x2"+
		"\x2\x2\x3\x9C\x3\x2\x2\x2\x3\x9E\x3\x2\x2\x2\x3\xA0\x3\x2\x2\x2\x4\xA2"+
		"\x3\x2\x2\x2\x6\xA6\x3\x2\x2\x2\b\xAE\x3\x2\x2\x2\n\xB4\x3\x2\x2\x2\f"+
		"\xB9\x3\x2\x2\x2\xE\xBF\x3\x2\x2\x2\x10\xC3\x3\x2\x2\x2\x12\xC7\x3\x2"+
		"\x2\x2\x14\xD4\x3\x2\x2\x2\x16\xE1\x3\x2\x2\x2\x18\xEC\x3\x2\x2\x2\x1A"+
		"\xFD\x3\x2\x2\x2\x1C\x107\x3\x2\x2\x2\x1E\x10D\x3\x2\x2\x2 \x10F\x3\x2"+
		"\x2\x2\"\x111\x3\x2\x2\x2$\x113\x3\x2\x2\x2&\x115\x3\x2\x2\x2(\x117\x3"+
		"\x2\x2\x2*\x119\x3\x2\x2\x2,\x11B\x3\x2\x2\x2.\x11D\x3\x2\x2\x2\x30\x11F"+
		"\x3\x2\x2\x2\x32\x121\x3\x2\x2\x2\x34\x123\x3\x2\x2\x2\x36\x126\x3\x2"+
		"\x2\x2\x38\x129\x3\x2\x2\x2:\x12C\x3\x2\x2\x2<\x12F\x3\x2\x2\x2>\x131"+
		"\x3\x2\x2\x2@\x133\x3\x2\x2\x2\x42\x137\x3\x2\x2\x2\x44\x13B\x3\x2\x2"+
		"\x2\x46\x13F\x3\x2\x2\x2H\x142\x3\x2\x2\x2J\x146\x3\x2\x2\x2L\x14E\x3"+
		"\x2\x2\x2N\x151\x3\x2\x2\x2P\x156\x3\x2\x2\x2R\x15E\x3\x2\x2\x2T\x164"+
		"\x3\x2\x2\x2V\x169\x3\x2\x2\x2X\x172\x3\x2\x2\x2Z\x177\x3\x2\x2\x2\\\x17B"+
		"\x3\x2\x2\x2^\x182\x3\x2\x2\x2`\x189\x3\x2\x2\x2\x62\x190\x3\x2\x2\x2"+
		"\x64\x195\x3\x2\x2\x2\x66\x198\x3\x2\x2\x2h\x1A2\x3\x2\x2\x2j\x1A8\x3"+
		"\x2\x2\x2l\x1AB\x3\x2\x2\x2n\x1B0\x3\x2\x2\x2p\x1B5\x3\x2\x2\x2r\x1BA"+
		"\x3\x2\x2\x2t\x1C0\x3\x2\x2\x2v\x1C4\x3\x2\x2\x2x\x1C9\x3\x2\x2\x2z\x1CC"+
		"\x3\x2\x2\x2|\x1CF\x3\x2\x2\x2~\x1D5\x3\x2\x2\x2\x80\x1DB\x3\x2\x2\x2"+
		"\x82\x1E1\x3\x2\x2\x2\x84\x1E8\x3\x2\x2\x2\x86\x1ED\x3\x2\x2\x2\x88\x1F2"+
		"\x3\x2\x2\x2\x8A\x1F6\x3\x2\x2\x2\x8C\x1FC\x3\x2\x2\x2\x8E\x201\x3\x2"+
		"\x2\x2\x90\x207\x3\x2\x2\x2\x92\x212\x3\x2\x2\x2\x94\x220\x3\x2\x2\x2"+
		"\x96\x22A\x3\x2\x2\x2\x98\x22E\x3\x2\x2\x2\x9A\x235\x3\x2\x2\x2\x9C\x240"+
		"\x3\x2\x2\x2\x9E\x252\x3\x2\x2\x2\xA0\x257\x3\x2\x2\x2\xA2\xA3\a\x42\x2"+
		"\x2\xA3\xA4\x3\x2\x2\x2\xA4\xA5\b\x2\x2\x2\xA5\x5\x3\x2\x2\x2\xA6\xA7"+
		"\t\x2\x2\x2\xA7\xA8\t\x3\x2\x2\xA8\xA9\t\x4\x2\x2\xA9\xAA\t\x5\x2\x2\xAA"+
		"\xAB\t\x4\x2\x2\xAB\xAC\x3\x2\x2\x2\xAC\xAD\b\x3\x2\x2\xAD\a\x3\x2\x2"+
		"\x2\xAE\xAF\t\x6\x2\x2\xAF\xB0\t\a\x2\x2\xB0\xB1\t\b\x2\x2\xB1\xB2\x3"+
		"\x2\x2\x2\xB2\xB3\b\x4\x3\x2\xB3\t\x3\x2\x2\x2\xB4\xB5\t\t\x2\x2\xB5\xB6"+
		"\t\x5\x2\x2\xB6\xB7\x3\x2\x2\x2\xB7\xB8\b\x5\x4\x2\xB8\v\x3\x2\x2\x2\xB9"+
		"\xBA\t\a\x2\x2\xBA\xBB\t\t\x2\x2\xBB\xBC\t\n\x2\x2\xBC\xBD\x3\x2\x2\x2"+
		"\xBD\xBE\b\x6\x5\x2\xBE\r\x3\x2\x2\x2\xBF\xC0\a*\x2\x2\xC0\xC1\x3\x2\x2"+
		"\x2\xC1\xC2\b\a\x6\x2\xC2\xF\x3\x2\x2\x2\xC3\xC4\a+\x2\x2\xC4\xC5\x3\x2"+
		"\x2\x2\xC5\xC6\b\b\a\x2\xC6\x11\x3\x2\x2\x2\xC7\xCD\a)\x2\x2\xC8\xCC\n"+
		"\v\x2\x2\xC9\xCA\a)\x2\x2\xCA\xCC\a)\x2\x2\xCB\xC8\x3\x2\x2\x2\xCB\xC9"+
		"\x3\x2\x2\x2\xCC\xCF\x3\x2\x2\x2\xCD\xCB\x3\x2\x2\x2\xCD\xCE\x3\x2\x2"+
		"\x2\xCE\xD0\x3\x2\x2\x2\xCF\xCD\x3\x2\x2\x2\xD0\xD1\a)\x2\x2\xD1\xD2\x3"+
		"\x2\x2\x2\xD2\xD3\b\t\b\x2\xD3\x13\x3\x2\x2\x2\xD4\xDA\a$\x2\x2\xD5\xD9"+
		"\n\f\x2\x2\xD6\xD7\a$\x2\x2\xD7\xD9\a$\x2\x2\xD8\xD5\x3\x2\x2\x2\xD8\xD6"+
		"\x3\x2\x2\x2\xD9\xDC\x3\x2\x2\x2\xDA\xD8\x3\x2\x2\x2\xDA\xDB\x3\x2\x2"+
		"\x2\xDB\xDD\x3\x2\x2\x2\xDC\xDA\x3\x2\x2\x2\xDD\xDE\a$\x2\x2\xDE\xDF\x3"+
		"\x2\x2\x2\xDF\xE0\b\n\t\x2\xE0\x15\x3\x2\x2\x2\xE1\xE2\a/\x2\x2\xE2\xE3"+
		"\a/\x2\x2\xE3\xE7\x3\x2\x2\x2\xE4\xE6\n\r\x2\x2\xE5\xE4\x3\x2\x2\x2\xE6"+
		"\xE9\x3\x2\x2\x2\xE7\xE5\x3\x2\x2\x2\xE7\xE8\x3\x2\x2\x2\xE8\xEA\x3\x2"+
		"\x2\x2\xE9\xE7\x3\x2\x2\x2\xEA\xEB\b\v\n\x2\xEB\x17\x3\x2\x2\x2\xEC\xED"+
		"\a\x31\x2\x2\xED\xEE\a,\x2\x2\xEE\xF3\x3\x2\x2\x2\xEF\xF2\x5\x9CN\x2\xF0"+
		"\xF2\v\x2\x2\x2\xF1\xEF\x3\x2\x2\x2\xF1\xF0\x3\x2\x2\x2\xF2\xF5\x3\x2"+
		"\x2\x2\xF3\xF4\x3\x2\x2\x2\xF3\xF1\x3\x2\x2\x2\xF4\xF9\x3\x2\x2\x2\xF5"+
		"\xF3\x3\x2\x2\x2\xF6\xF7\a,\x2\x2\xF7\xFA\a\x31\x2\x2\xF8\xFA\a\x2\x2"+
		"\x3\xF9\xF6\x3\x2\x2\x2\xF9\xF8\x3\x2\x2\x2\xFA\xFB\x3\x2\x2\x2\xFB\xFC"+
		"\b\f\n\x2\xFC\x19\x3\x2\x2\x2\xFD\x101\n\xE\x2\x2\xFE\x100\n\xF\x2\x2"+
		"\xFF\xFE\x3\x2\x2\x2\x100\x103\x3\x2\x2\x2\x101\xFF\x3\x2\x2\x2\x101\x102"+
		"\x3\x2\x2\x2\x102\x104\x3\x2\x2\x2\x103\x101\x3\x2\x2\x2\x104\x105\b\r"+
		"\v\x2\x105\x1B\x3\x2\x2\x2\x106\x108\t\x10\x2\x2\x107\x106\x3\x2\x2\x2"+
		"\x108\x109\x3\x2\x2\x2\x109\x107\x3\x2\x2\x2\x109\x10A\x3\x2\x2\x2\x10A"+
		"\x10B\x3\x2\x2\x2\x10B\x10C\b\xE\f\x2\x10C\x1D\x3\x2\x2\x2\x10D\x10E\a"+
		"\x42\x2\x2\x10E\x1F\x3\x2\x2\x2\x10F\x110\a-\x2\x2\x110!\x3\x2\x2\x2\x111"+
		"\x112\a/\x2\x2\x112#\x3\x2\x2\x2\x113\x114\a,\x2\x2\x114%\x3\x2\x2\x2"+
		"\x115\x116\a\x31\x2\x2\x116\'\x3\x2\x2\x2\x117\x118\a\'\x2\x2\x118)\x3"+
		"\x2\x2\x2\x119\x11A\a\x30\x2\x2\x11A+\x3\x2\x2\x2\x11B\x11C\a.\x2\x2\x11C"+
		"-\x3\x2\x2\x2\x11D\x11E\a?\x2\x2\x11E/\x3\x2\x2\x2\x11F\x120\a>\x2\x2"+
		"\x120\x31\x3\x2\x2\x2\x121\x122\a@\x2\x2\x122\x33\x3\x2\x2\x2\x123\x124"+
		"\a>\x2\x2\x124\x125\a?\x2\x2\x125\x35\x3\x2\x2\x2\x126\x127\a@\x2\x2\x127"+
		"\x128\a?\x2\x2\x128\x37\x3\x2\x2\x2\x129\x12A\a>\x2\x2\x12A\x12B\a@\x2"+
		"\x2\x12B\x39\x3\x2\x2\x2\x12C\x12D\a#\x2\x2\x12D\x12E\a?\x2\x2\x12E;\x3"+
		"\x2\x2\x2\x12F\x130\a*\x2\x2\x130=\x3\x2\x2\x2\x131\x132\a+\x2\x2\x132"+
		"?\x3\x2\x2\x2\x133\x134\t\x6\x2\x2\x134\x135\t\x11\x2\x2\x135\x136\t\x11"+
		"\x2\x2\x136\x41\x3\x2\x2\x2\x137\x138\t\x6\x2\x2\x138\x139\t\a\x2\x2\x139"+
		"\x13A\t\b\x2\x2\x13A\x43\x3\x2\x2\x2\x13B\x13C\t\x6\x2\x2\x13C\x13D\t"+
		"\a\x2\x2\x13D\x13E\t\x12\x2\x2\x13E\x45\x3\x2\x2\x2\x13F\x140\t\x6\x2"+
		"\x2\x140\x141\t\x13\x2\x2\x141G\x3\x2\x2\x2\x142\x143\t\x6\x2\x2\x143"+
		"\x144\t\x13\x2\x2\x144\x145\t\x14\x2\x2\x145I\x3\x2\x2\x2\x146\x147\t"+
		"\x15\x2\x2\x147\x148\t\x4\x2\x2\x148\x149\t\n\x2\x2\x149\x14A\t\x2\x2"+
		"\x2\x14A\x14B\t\x4\x2\x2\x14B\x14C\t\x4\x2\x2\x14C\x14D\t\a\x2\x2\x14D"+
		"K\x3\x2\x2\x2\x14E\x14F\t\x15\x2\x2\x14F\x150\t\x12\x2\x2\x150M\x3\x2"+
		"\x2\x2\x151\x152\t\x14\x2\x2\x152\x153\t\x6\x2\x2\x153\x154\t\x13\x2\x2"+
		"\x154\x155\t\x4\x2\x2\x155O\x3\x2\x2\x2\x156\x157\t\x14\x2\x2\x157\x158"+
		"\t\t\x2\x2\x158\x159\t\x11\x2\x2\x159\x15A\t\x11\x2\x2\x15A\x15B\t\x6"+
		"\x2\x2\x15B\x15C\t\n\x2\x2\x15C\x15D\t\x4\x2\x2\x15DQ\x3\x2\x2\x2\x15E"+
		"\x15F\t\x14\x2\x2\x15F\x160\t\t\x2\x2\x160\x161\t\x16\x2\x2\x161\x162"+
		"\t\a\x2\x2\x162\x163\t\n\x2\x2\x163S\x3\x2\x2\x2\x164\x165\t\b\x2\x2\x165"+
		"\x166\t\x4\x2\x2\x166\x167\t\x13\x2\x2\x167\x168\t\x14\x2\x2\x168U\x3"+
		"\x2\x2\x2\x169\x16A\t\b\x2\x2\x16A\x16B\t\x17\x2\x2\x16B\x16C\t\x13\x2"+
		"\x2\x16C\x16D\t\n\x2\x2\x16D\x16E\t\x17\x2\x2\x16E\x16F\t\a\x2\x2\x16F"+
		"\x170\t\x14\x2\x2\x170\x171\t\n\x2\x2\x171W\x3\x2\x2\x2\x172\x173\t\x4"+
		"\x2\x2\x173\x174\t\x11\x2\x2\x174\x175\t\x13\x2\x2\x175\x176\t\x4\x2\x2"+
		"\x176Y\x3\x2\x2\x2\x177\x178\t\x4\x2\x2\x178\x179\t\a\x2\x2\x179\x17A"+
		"\t\b\x2\x2\x17A[\x3\x2\x2\x2\x17B\x17C\t\x4\x2\x2\x17C\x17D\t\x13\x2\x2"+
		"\x17D\x17E\t\x14\x2\x2\x17E\x17F\t\x6\x2\x2\x17F\x180\t\x18\x2\x2\x180"+
		"\x181\t\x4\x2\x2\x181]\x3\x2\x2\x2\x182\x183\t\x4\x2\x2\x183\x184\t\x19"+
		"\x2\x2\x184\x185\t\x14\x2\x2\x185\x186\t\x4\x2\x2\x186\x187\t\x18\x2\x2"+
		"\x187\x188\t\n\x2\x2\x188_\x3\x2\x2\x2\x189\x18A\t\x4\x2\x2\x18A\x18B"+
		"\t\x19\x2\x2\x18B\x18C\t\x17\x2\x2\x18C\x18D\t\x13\x2\x2\x18D\x18E\t\n"+
		"\x2\x2\x18E\x18F\t\x13\x2\x2\x18F\x61\x3\x2\x2\x2\x190\x191\t\x1A\x2\x2"+
		"\x191\x192\t\x5\x2\x2\x192\x193\t\t\x2\x2\x193\x194\t\x1B\x2\x2\x194\x63"+
		"\x3\x2\x2\x2\x195\x196\t\x17\x2\x2\x196\x197\t\a\x2\x2\x197\x65\x3\x2"+
		"\x2\x2\x198\x199\t\x17\x2\x2\x199\x19A\t\a\x2\x2\x19A\x19B\t\n\x2\x2\x19B"+
		"\x19C\t\x4\x2\x2\x19C\x19D\t\x5\x2\x2\x19D\x19E\t\x13\x2\x2\x19E\x19F"+
		"\t\x4\x2\x2\x19F\x1A0\t\x14\x2\x2\x1A0\x1A1\t\n\x2\x2\x1A1g\x3\x2\x2\x2"+
		"\x1A2\x1A3\t\x17\x2\x2\x1A3\x1A4\t\a\x2\x2\x1A4\x1A5\t\a\x2\x2\x1A5\x1A6"+
		"\t\x4\x2\x2\x1A6\x1A7\t\x5\x2\x2\x1A7i\x3\x2\x2\x2\x1A8\x1A9\t\x17\x2"+
		"\x2\x1A9\x1AA\t\x13\x2\x2\x1AAk\x3\x2\x2\x2\x1AB\x1AC\t\x1C\x2\x2\x1AC"+
		"\x1AD\t\t\x2\x2\x1AD\x1AE\t\x17\x2\x2\x1AE\x1AF\t\a\x2\x2\x1AFm\x3\x2"+
		"\x2\x2\x1B0\x1B1\t\x11\x2\x2\x1B1\x1B2\t\x4\x2\x2\x1B2\x1B3\t\x1A\x2\x2"+
		"\x1B3\x1B4\t\n\x2\x2\x1B4o\x3\x2\x2\x2\x1B5\x1B6\t\x11\x2\x2\x1B6\x1B7"+
		"\t\x17\x2\x2\x1B7\x1B8\t\x1D\x2\x2\x1B8\x1B9\t\x4\x2\x2\x1B9q\x3\x2\x2"+
		"\x2\x1BA\x1BB\t\x1B\x2\x2\x1BB\x1BC\t\x17\x2\x2\x1BC\x1BD\t\a\x2\x2\x1BD"+
		"\x1BE\t\x16\x2\x2\x1BE\x1BF\t\x13\x2\x2\x1BFs\x3\x2\x2\x2\x1C0\x1C1\t"+
		"\a\x2\x2\x1C1\x1C2\t\t\x2\x2\x1C2\x1C3\t\n\x2\x2\x1C3u\x3\x2\x2\x2\x1C4"+
		"\x1C5\t\a\x2\x2\x1C5\x1C6\t\x16\x2\x2\x1C6\x1C7\t\x11\x2\x2\x1C7\x1C8"+
		"\t\x11\x2\x2\x1C8w\x3\x2\x2\x2\x1C9\x1CA\t\t\x2\x2\x1CA\x1CB\t\a\x2\x2"+
		"\x1CBy\x3\x2\x2\x2\x1CC\x1CD\t\t\x2\x2\x1CD\x1CE\t\x5\x2\x2\x1CE{\x3\x2"+
		"\x2\x2\x1CF\x1D0\t\t\x2\x2\x1D0\x1D1\t\x5\x2\x2\x1D1\x1D2\t\b\x2\x2\x1D2"+
		"\x1D3\t\x4\x2\x2\x1D3\x1D4\t\x5\x2\x2\x1D4}\x3\x2\x2\x2\x1D5\x1D6\t\t"+
		"\x2\x2\x1D6\x1D7\t\x16\x2\x2\x1D7\x1D8\t\n\x2\x2\x1D8\x1D9\t\x4\x2\x2"+
		"\x1D9\x1DA\t\x5\x2\x2\x1DA\x7F\x3\x2\x2\x2\x1DB\x1DC\t\x5\x2\x2\x1DC\x1DD"+
		"\t\x17\x2\x2\x1DD\x1DE\t\x1E\x2\x2\x1DE\x1DF\t\x3\x2\x2\x1DF\x1E0\t\n"+
		"\x2\x2\x1E0\x81\x3\x2\x2\x2\x1E1\x1E2\t\x13\x2\x2\x1E2\x1E3\t\x4\x2\x2"+
		"\x1E3\x1E4\t\x11\x2\x2\x1E4\x1E5\t\x4\x2\x2\x1E5\x1E6\t\x14\x2\x2\x1E6"+
		"\x1E7\t\n\x2\x2\x1E7\x83\x3\x2\x2\x2\x1E8\x1E9\t\x13\x2\x2\x1E9\x1EA\t"+
		"\t\x2\x2\x1EA\x1EB\t\x1B\x2\x2\x1EB\x1EC\t\x4\x2\x2\x1EC\x85\x3\x2\x2"+
		"\x2\x1ED\x1EE\t\n\x2\x2\x1EE\x1EF\t\x3\x2\x2\x1EF\x1F0\t\x4\x2\x2\x1F0"+
		"\x1F1\t\a\x2\x2\x1F1\x87\x3\x2\x2\x2\x1F2\x1F3\t\n\x2\x2\x1F3\x1F4\t\t"+
		"\x2\x2\x1F4\x1F5\t\x18\x2\x2\x1F5\x89\x3\x2\x2\x2\x1F6\x1F7\t\x16\x2\x2"+
		"\x1F7\x1F8\t\a\x2\x2\x1F8\x1F9\t\x17\x2\x2\x1F9\x1FA\t\t\x2\x2\x1FA\x1FB"+
		"\t\a\x2\x2\x1FB\x8B\x3\x2\x2\x2\x1FC\x1FD\t\x2\x2\x2\x1FD\x1FE\t\x3\x2"+
		"\x2\x1FE\x1FF\t\x4\x2\x2\x1FF\x200\t\a\x2\x2\x200\x8D\x3\x2\x2\x2\x201"+
		"\x202\t\x2\x2\x2\x202\x203\t\x3\x2\x2\x203\x204\t\x4\x2\x2\x204\x205\t"+
		"\x5\x2\x2\x205\x206\t\x4\x2\x2\x206\x8F\x3\x2\x2\x2\x207\x20D\a)\x2\x2"+
		"\x208\x20C\n\v\x2\x2\x209\x20A\a)\x2\x2\x20A\x20C\a)\x2\x2\x20B\x208\x3"+
		"\x2\x2\x2\x20B\x209\x3\x2\x2\x2\x20C\x20F\x3\x2\x2\x2\x20D\x20B\x3\x2"+
		"\x2\x2\x20D\x20E\x3\x2\x2\x2\x20E\x210\x3\x2\x2\x2\x20F\x20D\x3\x2\x2"+
		"\x2\x210\x211\a)\x2\x2\x211\x91\x3\x2\x2\x2\x212\x218\a$\x2\x2\x213\x217"+
		"\n\f\x2\x2\x214\x215\a$\x2\x2\x215\x217\a$\x2\x2\x216\x213\x3\x2\x2\x2"+
		"\x216\x214\x3\x2\x2\x2\x217\x21A\x3\x2\x2\x2\x218\x216\x3\x2\x2\x2\x218"+
		"\x219\x3\x2\x2\x2\x219\x21B\x3\x2\x2\x2\x21A\x218\x3\x2\x2\x2\x21B\x21C"+
		"\a$\x2\x2\x21C\x93\x3\x2\x2\x2\x21D\x21F\t\x1F\x2\x2\x21E\x21D\x3\x2\x2"+
		"\x2\x21F\x222\x3\x2\x2\x2\x220\x21E\x3\x2\x2\x2\x220\x221\x3\x2\x2\x2"+
		"\x221\x223\x3\x2\x2\x2\x222\x220\x3\x2\x2\x2\x223\x225\a\x30\x2\x2\x224"+
		"\x226\t\x1F\x2\x2\x225\x224\x3\x2\x2\x2\x226\x227\x3\x2\x2\x2\x227\x225"+
		"\x3\x2\x2\x2\x227\x228\x3\x2\x2\x2\x228\x95\x3\x2\x2\x2\x229\x22B\t\x1F"+
		"\x2\x2\x22A\x229\x3\x2\x2\x2\x22B\x22C\x3\x2\x2\x2\x22C\x22A\x3\x2\x2"+
		"\x2\x22C\x22D\x3\x2\x2\x2\x22D\x97\x3\x2\x2\x2\x22E\x232\t \x2\x2\x22F"+
		"\x231\t!\x2\x2\x230\x22F\x3\x2\x2\x2\x231\x234\x3\x2\x2\x2\x232\x230\x3"+
		"\x2\x2\x2\x232\x233\x3\x2\x2\x2\x233\x99\x3\x2\x2\x2\x234\x232\x3\x2\x2"+
		"\x2\x235\x236\a/\x2\x2\x236\x237\a/\x2\x2\x237\x23B\x3\x2\x2\x2\x238\x23A"+
		"\n\r\x2\x2\x239\x238\x3\x2\x2\x2\x23A\x23D\x3\x2\x2\x2\x23B\x239\x3\x2"+
		"\x2\x2\x23B\x23C\x3\x2\x2\x2\x23C\x23E\x3\x2\x2\x2\x23D\x23B\x3\x2\x2"+
		"\x2\x23E\x23F\bM\n\x2\x23F\x9B\x3\x2\x2\x2\x240\x241\a\x31\x2\x2\x241"+
		"\x242\a,\x2\x2\x242\x247\x3\x2\x2\x2\x243\x246\x5\x9CN\x2\x244\x246\v"+
		"\x2\x2\x2\x245\x243\x3\x2\x2\x2\x245\x244\x3\x2\x2\x2\x246\x249\x3\x2"+
		"\x2\x2\x247\x248\x3\x2\x2\x2\x247\x245\x3\x2\x2\x2\x248\x24D\x3\x2\x2"+
		"\x2\x249\x247\x3\x2\x2\x2\x24A\x24B\a,\x2\x2\x24B\x24E\a\x31\x2\x2\x24C"+
		"\x24E\a\x2\x2\x3\x24D\x24A\x3\x2\x2\x2\x24D\x24C\x3\x2\x2\x2\x24E\x24F"+
		"\x3\x2\x2\x2\x24F\x250\bN\n\x2\x250\x9D\x3\x2\x2\x2\x251\x253\n\"\x2\x2"+
		"\x252\x251\x3\x2\x2\x2\x253\x254\x3\x2\x2\x2\x254\x252\x3\x2\x2\x2\x254"+
		"\x255\x3\x2\x2\x2\x255\x9F\x3\x2\x2\x2\x256\x258\t\x10\x2\x2\x257\x256"+
		"\x3\x2\x2\x2\x258\x259\x3\x2\x2\x2\x259\x257\x3\x2\x2\x2\x259\x25A\x3"+
		"\x2\x2\x2\x25A\x25B\x3\x2\x2\x2\x25B\x25C\bP\f\x2\x25C\xA1\x3\x2\x2\x2"+
		"\x1C\x2\x3\xCB\xCD\xD8\xDA\xE7\xF1\xF3\xF9\x101\x109\x20B\x20D\x216\x218"+
		"\x220\x227\x22C\x232\x23B\x245\x247\x24D\x254\x259\r\a\x3\x2\t\x1A\x2"+
		"\t\x36\x2\t\x33\x2\t\x17\x2\t\x18\x2\t\x41\x2\t\x42\x2\b\x2\x2\tH\x2\x2"+
		"\x3\x2";
	public static readonly ATN _ATN =
		new ATNDeserializer().Deserialize(_serializedATN.ToCharArray());
}
